Page MenuHomePhabricator

Malformed URL in imported file comment
Closed, ResolvedPublic1 Estimated Story PointsBUG REPORT

Description

(Import log); 01:36 Taiwania Justo talk contribs imported File:Chinshin High School high front view.jpg from another wiki ‎(Imported with FileImporter from //zh.wikipedia.org/wiki/File:Chinshin_High_School_high_front_view.jpg) Tag: Imported with FileImporter

The source wiki URL is missing a protocol, e.g. "https://".

Event Timeline

awight changed the subtype of this task from "Task" to "Bug Report".Jul 24 2019, 10:18 AM
awight set the point value for this task to 1.Aug 21 2019, 1:34 PM

Change 533489 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileExporter@master] Always include protocol in clientUrl

https://gerrit.wikimedia.org/r/533489

Change 533489 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@master] Always include protocol in clientUrl

https://gerrit.wikimedia.org/r/533489

This isn't possible to demonstrate on the beta cluster, because of configuration differences. Here you can see that the URLs have always been correct on beta commons: https://commons.wikimedia.beta.wmflabs.org/wiki/Special:Log/import

Change 534778 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileExporter@master] Tests for FileImporter URL

https://gerrit.wikimedia.org/r/534778

Tobi_WMDE_SW moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-09-04 board.
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.

This is not demoable on the beta-cluster.

Change 534778 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@master] Tests for FileImporter URL

https://gerrit.wikimedia.org/r/534778